IonCube Loader is a software tool, that is needed to run files which are encrypted with ionCube PHP Encoder. The latter is an app employed to make PHP code human unreadable, so as to protect it from reverse engineering and / or unauthorized use. Various script-driven applications, particularly message boards, content management systems and electronic commerce solutions are protected with ionCube PHP Encoder, which means that when you get a script and you find that ionCube is on the list of website hosting environment prerequisites, you should ensure that your web hosting server has the tool pre-installed. Though it is not that hard to install it when you have your own server, it is almost impossible to do that on a shared web hosting server due to the fact that the PHP environment will have to be precompiled and all clients on the server will be affected.
IonCube in Website Hosting
IonCube Loader is available with all the website hosting plans that we provide, so every time you need it to install and run some script app that needs it, you can enable it with a click from the Advanced area of your Hepsia Control Panel. Since you are able to switch the PHP version which is active for your account from the same section, you will need to enable the instrument for every new version that you set. When you're more skillful, you're able to employ a php.ini file in a domain or subdomain folder and set the PHP version as well as the status of ionCube Loader for this particular website only, without affecting the entire account. This way you will be able to operate both new and older script apps for multiple websites inside the same account - something that you won't be able to do with a lot of other website hosting providers on the market.
IonCube in Semi-dedicated Hosting
If you buy a semi-dedicated server package from our company, you can take advantage of any script-driven app that requires ionCube Loader since the software tool comes with all servers which are a part of our innovative cloud hosting platform. In addition, we support several versions of PHP, therefore if you switch from PHP 4 to 5.2 or 5.3, for instance, you can activate ionCube for that particular release with just a click from your Hepsia Control Panel. Our platform will remember your decision, and in case you move back to the earlier release of PHP, the tool will already be active. For more tech-savvy users, we also provide the option to pick the PHP version and if ionCube will be active or not for a specific domain name without altering the settings for the entire web hosting account. This is done by putting a php.ini file within a domain folder with several lines of code.